import * as i0 from "@angular/core";
export type ProgressBarSize = 'xs' | 'sm' | 'md';
export declare class ProgressBarComponent {
    readonly progress: import("@angular/core").InputSignal<number>;
    readonly size: import("@angular/core").InputSignal<ProgressBarSize>;
    readonly ariaLabel: import("@angular/core").InputSignal<string>;
    readonly clampedProgress: import("@angular/core").Signal<number>;
    get classes(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<ProgressBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ProgressBarComponent, "lib-progress-bar", never, { "progress": { "alias": "progress"; "required": true; "isSignal": true; }; "size": { "alias": "size"; "required": false; "isSignal": true; }; "ariaLabel": { "alias": "ariaLabel"; "required": false; "isSignal": true; }; }, {}, never, never, true, never>;
}
